"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CM = require("../typescript-node-client/api");
var MessageApiClient = /** @class */ (function () {
    function MessageApiClient(productToken) {
        this.productToken = productToken;
    }
    MessageApiClient.prototype.SendTextMessage = function (to, from, message) {
        return this.SendTextMessages([to], from, message);
    };
    MessageApiClient.prototype.SendTextMessages = function (to, from, message) {
        var api = new CM.MessagesApi();
        var messageEnvelope = new CM.MessageEnvelope();
        messageEnvelope.messages = new CM.Messages();
        messageEnvelope.messages.authentication = new CM.Authentication();
        messageEnvelope.messages.authentication.productToken = this.productToken;
        var msg = new CM.Message();
        msg.customGrouping = "cm-messaging-node";
        msg.from = from;
        msg.body = new CM.MessageBody();
        msg.body.type = "AUTO";
        msg.body.content = message;
        msg.to = this.createRecipients(to);
        messageEnvelope.messages.msg = new Array();
        messageEnvelope.messages.msg.push(msg);
        // Send the message
        var result = api.messagesSendMessage(messageEnvelope);
        // Return the promise.
        return result;
    };
    MessageApiClient.prototype.createRecipients = function (recipients) {
        return recipients.map(function (number) {
            var recipient = {
                number: number
            };
            return recipient;
        });
    };
    return MessageApiClient;
}());
exports.MessageApiClient = MessageApiClient;
//# sourceMappingURL=MessageApiClient.js.map